> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-import/models.md).

# Models

## The ImportOotbDataClassesRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"ImportOotbDataClassesRequest":{"type":"object","description":"Request to import one or more `OOTB Data Classes`. `ootbNames` is mandatory and cannot be empty\n","required":["dataClassNames"],"properties":{"dataClassNames":{"$ref":"#/components/schemas/dataClassNames"}}},"dataClassNames":{"type":"array","items":{"type":"string"},"minItems":1,"maxItems":1000,"description":"Names of the Data Classes to import\n"}}}}
```

## The OotbDataClassPagedResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"OotbDataClassPagedResponse":{"type":"object","required":["results"],"properties":{"results":{"type":"array","description":"List of OOTB Data Classes paginated","items":{"$ref":"#/components/schemas/OotbDataClass"}}}},"OotbDataClass":{"type":"object","required":["name","status","types","rules"],"properties":{"name":{"type":"string","description":"The name of OOTB Data Class"},"status":{"type":"string","description":"The import status of OOTB Data Class.\n\nValues can be:\n- `NEW`\n- `EXISTS`\n- `EXISTS-DIFFERENT`\n"},"types":{"type":"array","items":{"type":"string"},"description":"Types of rules currently associated to the OOTB Data Class if any\n"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the OOTB Data Class.\n","items":{"$ref":"#/components/schemas/ClassificationRule"}},"ClassificationRule":{"description":"A `ClassificationRule` defines a representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRule"}}},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The dataClassNames object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"dataClassNames":{"type":"array","items":{"type":"string"},"minItems":1,"maxItems":1000,"description":"Names of the Data Classes to import\n"}}}}
```

## The OotbDataClass object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"OotbDataClass":{"type":"object","required":["name","status","types","rules"],"properties":{"name":{"type":"string","description":"The name of OOTB Data Class"},"status":{"type":"string","description":"The import status of OOTB Data Class.\n\nValues can be:\n- `NEW`\n- `EXISTS`\n- `EXISTS-DIFFERENT`\n"},"types":{"type":"array","items":{"type":"string"},"description":"Types of rules currently associated to the OOTB Data Class if any\n"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the OOTB Data Class.\n","items":{"$ref":"#/components/schemas/ClassificationRule"}},"ClassificationRule":{"description":"A `ClassificationRule` defines a representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRule"}}},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The ClassificationRules object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the OOTB Data Class.\n","items":{"$ref":"#/components/schemas/ClassificationRule"}},"ClassificationRule":{"description":"A `ClassificationRule` defines a representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRule"}}},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The ClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"ClassificationRule":{"description":"A `ClassificationRule` defines a representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRule"}}},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The ListOfValuesBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The RegularExpressionBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}}}}}
```

## The DataTypeBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"}}}}
```

## The BaseClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}}}}}
```

## The BaseListOfValuesBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}}}}}
```

## The BaseRegularExpressionBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}}}}}
```

## The BaseDataTypeBasedClassificationRule object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"}}}}
```

## The DataType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"DataType":{"type":"string","description":"A data type.\n"}}}}
```

## The StandardErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"components":{"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/data-class-import/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
